/*	NSAutoreleasePool.h
	Delayed object release
	Copyright 1994-1996, NeXT Software, Inc.  All rights reserved.
*/

#import <Foundation/NSObject.h>

@interface NSAutoreleasePool : NSObject {
@private
    void		*_token;
    NSAutoreleasePool	*_next;
    NSAutoreleasePool	*_previous;
    void		*_reserved;
}

+ (void)addObject:(id)anObject;

- (void)addObject:(id)anObject;

@end

